Robot Simulator of the Robotics Group for Self-Organization of Control: MotorNoiseWiring Class Reference

# MotorNoiseWiring Class Reference

Implements a one to one wiring that adds noise to the motor signals (the sensors will get no noise). More...

`#include <motornoisewiring.h>`

Inherits One2OneWiring, and Configurable.

Collaboration diagram for MotorNoiseWiring:
[legend]

List of all members.

## Public Member Functions
| MotorNoiseWiring (NoiseGenerator *noise, double noiseStrength)
| constructor
virtual | ~MotorNoiseWiring ()
double | getNoiseStrength ()
void | setNoiseStrength (double _motNoiseStrength)
virtual bool | initIntern ()
| initializes the number of sensors and motors on robot side, calculate number of sensors and motors on controller side
virtual bool | wireMotorsIntern (motor *rmotors, int rmotornumber, const motor *cmotors, int cmotornumber)
| Realizes one to one wiring from controller motor outputs to robot motors.
## Protected Attributes
NoiseGenerator * | motNoiseGen
double | motNoiseStrength
matrix::Matrix | mMotNoise

## Detailed Description

Implements a one to one wiring that adds noise to the motor signals (the sensors will get no noise).

## Constructor & Destructor Documentation

MotorNoiseWiring | ( | NoiseGenerator * | noise,
|  | double | noiseStrength |
| ) |  |  | `[inline]`

constructor

Parameters:

  | noise | NoiseGenerator that is used for adding noise to motor values

virtual ~MotorNoiseWiring | ( |  | ) | `[inline, virtual]`

## Member Function Documentation

double getNoiseStrength | ( |  | ) | `[inline]`

virtual bool initIntern | ( |  | ) | `[inline, virtual]`

initializes the number of sensors and motors on robot side, calculate number of sensors and motors on controller side

initializes the number of sensors and motors from robot, calculate

Reimplemented from One2OneWiring.

void setNoiseStrength | ( | double | _motNoiseStrength | ) | `[inline]`

virtual bool wireMotorsIntern | ( | motor * | rmotors,
|  | int | rmotornumber,
|  | const motor * | cmotors,
|  | int | cmotornumber |
| ) |  |  | `[inline, virtual]`

Realizes one to one wiring from controller motor outputs to robot motors.

Parameters:

  | rmotors | pointer to array of motorvalues for robot
  | rmotornumber | number of robot motors
  | cmotors | pointer to array of motorvalues from controller
  | cmotornumber | number of motorvalues from controller

Reimplemented from One2OneWiring.

## Member Data Documentation

matrix::Matrix mMotNoise`[protected]`

NoiseGenerator* motNoiseGen`[protected]`

double motNoiseStrength`[protected]`

The documentation for this class was generated from the following file:

- motornoisewiring.h